## xview 3.2p1.4

=== debian/changelog ===
xview (3.2p1.4-28.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correctly remove the x-window-manager alternatives on package removal.
    (Closes: #656450, #668448)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Jan 2013 15:47:14 +0100

xview (3.2p1.4-28) unstable; urgency=low

  * Adopting (closes: #560744)
  * remove owplaces since xtoolplaces isn't in debian anymore
    (closes: #410310)

 -- Blars Blarson <blarson@debian.org>  Sun, 21 Aug 2011 20:24:46 -0700

xview (3.2p1.4-27) unstable; urgency=low

  * QA upload
  * debian/control: restore armhf support that was lost in 3.2p1.4-26
    (closes: #635327)
  * debian/changelog: restore the changelog entry for 3.2p1.4-25.1 that
    was lost in version 3.2p1.4-26

 -- Ralf Treinen <treinen@debian.org>  Mon, 25 Jul 2011 20:33:38 +0200

xview (3.2p1.4-26) unstable; urgency=low

  * QA upload
  * source format 3.0 (quilt):
    - add debian/source/format
  * Patch display_setting: fix setting of the DISPLAY variable in case
    the original value did not contain a screen number. Thanks a lot to 
    Alan Braslau for submitting the patch! (closes:  #617236, #635154)
  * debian/ol[v]wm.postinst: replace /usr/X11R6/man -> /usr/share/man,
    /usr/bin/x11 -> /usr/bin (closes: #411131,  #617211)
  * debian/control: added ${misc:Depends} to Depends field of all packages

 -- Ralf Treinen <treinen@debian.org>  Sun, 24 Jul 2011 20:58:09 +0200

xview (3.2p1.4-25.1) unstable; urgency=low

  * NMU, added armhf support. (Closes: #604692)

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 24 Feb 2011 15:37:23 +0000
  

xview (3.2p1.4-25) unstable; urgency=low

  * QA upload.
  * Change maintainer to Debian QA Group (See 560744)
  * Add amd64 to arch list and drop lpia
  * Patch lib/libxview/file_chooser/file_list.c to fix FTBFS with some GCC
    - Patch from Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Sun, 20 Dec 2009 23:13:06 -0500

xview (3.2p1.4-24) unstable; urgency=low

  * Compile with -D_GNU_SOURCE for glibc 2.9 compatibility in regex.h.
    Closes: #544252
  * Added Recommends: xviewg-dev, xutils-dev to xview-examples since the
    example sources need the header files from these packages for
    compilation.
  * Moved /etc/X11/xview/textswrc to /usr/share/doc/xviewg/examples/textswrc
    since it's never read there by XView and servers only as an example
    for copying into ~/.textswrc

 -- Martin Buck <mbuck@debian.org>  Thu, 03 Sep 2009 22:30:13 +0200

xview (3.2p1.4-23) unstable; urgency=low

  * Use XAllocIDs() instead of XAllocID() similar to Ubuntu's
    don_t_call_several_XAllocID_instances.diff to fix broken "window close"
    button handling and for future libX11 compatibility. Closes: #492023
  * Upgraded to Standards-Version 3.8.0.0:
    - Made xviewg & xviewg-dev pre-depend on x11-common as required by
      policy 11.8.7
    - Support DEB_BUILD_OPTIONS

 -- Martin Buck <mbuck@debian.org>  Thu, 24 Jul 2008 15:54:07 +0200

xview (3.2p1.4-22) unstable; urgency=low

  * Use FHS-compliant directories. Closes: #34868, #269782
  * Don't ship empty directory /usr/lib/menu
  * Removed obsolete compatibility symlinks
  * Build depend on x.org version of libx11-dev. Closes: #368762
  * Use bitmaps provided by xbitmaps package instead of our own.
    Closes: #23495, #48912
  * Removed obsolete x-dev dependency from xviewg-dev's Depends:
  * Updated menu files to use the latest section names
  * Fixed errors in manpages
  * Don't link olvwm against libm, it's not required.

 -- Martin Buck <mbuck@debian.org>  Mon, 23 Jun 2008 17:56:16 +0200

xview (3.2p1.4-21.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add armeb armel hurd-i386 kfreebsd-i386 lpia sh3 sh4 archs, closes: #408802
  * use binary:Version to allow package to be binNMUed
  * add shlib:Depends to xviewg-dev that ships with elf binaries...

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 08 May 2008 12:05:00 +0300

xview (3.2p1.4-21.1) unstable; urgency=low

  * 0-day NMU
  * stop installing into /usr/X11R6 (Closes: #364029, #365778)
  * build-depend on xbitmaps

 -- Blars Blarson <blarson@blars.org>  Tue, 16 May 2006 09:06:45 -0700

xview (3.2p1.4-21) unstable; urgency=low

  * Added libxt-dev and libxpm-dev to Build-Depends. Closes: #346866

 -- Martin Buck <mbuck@debian.org>  Sun, 15 Jan 2006 01:57:16 +0100

xview (3.2p1.4-20) unstable; urgency=low

  * Updated Build-Depends
    - Replaced obsolete xlibs-dev with libx11-dev, x-dev. Closes: #346866
    - Added libncurses5-dev to avoid virtual-only dependency
  * Replaced obsolete xlibs-dev with libx11-dev, x-dev in xviewg-dev's
    dependencies. Closes: #347165
  * Fixed bad ttysw_pty_output() return value declaration
  * Switched from old-style BSD-ptys to UNIX98-ptys. Closes: #345545
  * Switched to debhelper 5
  * Minor tweaks to make lintian slightly less unhappy
  * Merged changes from NMU (see below). Closes: #294844, #306713

 -- Martin Buck <mbuck@debian.org>  Sat,  7 Jan 2006 22:36:43 +0100

xview (3.2p1.4-19.1) unstable; urgency=low

  * NMU for release-critical bug durring bug squishing party
  * patch for gcc 4.0 from Andreas Jochens (closes: #294844)
  * fix typo in man page (closes: #306713)
  * change section of xviewg-dev to devel to match overrides

 -- Blars Blarson <blarson@blars.org>  Fri,  2 Sep 2005 05:35:09 +0000

xview (3.2p1.4-19) unstable; urgency=high

  * Applied patch from security team to fix security hole:
    Fixed buffer overflows [lib/libxview/base/xv_parse.c, CAN-2005-0076]
  * Added note to copyright file stating that the Debian version of XView
    effectively is the upstream version these days.

 -- Martin Buck <mbuck@debian.org>  Sat, 22 Jan 2005 12:34:32 +0100

xview (3.2p1.4-18) unstable; urgency=low

  * Updated ol(v)wm's menu-methods according to Bill Allombert's suggestions.
    Closes: #234702, #243731
  * Fixed build script to not ignore errors of commands run in subshells.
    Closes: #271055, #271204
  * Fixed some prototypes to make gcc 3.4 happy

